My Project: dgRedBackNode Class Reference

My Project

Public Types | Public Member Functions | Public Attributes | List of all members
dgRedBackNode Class Reference

`#include <dgTree.h>`

Inheritance diagram for dgRedBackNode:

## Public Types

enum | REDBLACK_COLOR { RED = true, BLACK = false }

## Public Member Functions

| dgRedBackNode ()
virtual | ~dgRedBackNode ()
void | RemoveAllLow ()
void | RotateLeft (dgRedBackNode **const head)
void | RotateRight (dgRedBackNode **const head)
void | RemoveFixup (dgRedBackNode *const node, dgRedBackNode **const head)
dgRedBackNode * | GetLeft () const
dgRedBackNode * | GetRight () const
dgRedBackNode * | GetParent () const
| dgRedBackNode (dgRedBackNode *const parent)
void | Initdata (dgRedBackNode *const parent)
void | SetColor (REDBLACK_COLOR color)
REDBLACK_COLOR | GetColor () const
dgUnsigned32 | IsInTree () const
void | SetInTreeFlag (dgUnsigned32 flag)
void | RemoveAll ()
dgRedBackNode * | Prev () const
dgRedBackNode * | Next () const
dgRedBackNode * | Minimum () const
dgRedBackNode * | Maximum () const
void | Remove (dgRedBackNode **const head)
void | Unlink (dgRedBackNode **const head)
void | InsertFixup (dgRedBackNode **const head)

## Public Attributes

dgRedBackNode * | m_left
dgRedBackNode * | m_right
dgRedBackNode * | m_parent
dgUnsigned32 | m_color: 1
dgUnsigned32 | m_inTree: 1

## Member Enumeration Documentation

## § REDBLACK_COLOR

enum dgRedBackNode::REDBLACK_COLOR

Enumerator
RED |
BLACK |

## Constructor & Destructor Documentation

## § dgRedBackNode() [1/2]

dgRedBackNode::dgRedBackNode | ( |  | ) |

inline

## § ~dgRedBackNode()

virtual dgRedBackNode::~dgRedBackNode | ( |  | ) |

inlinevirtual

## § dgRedBackNode() [2/2]

dgRedBackNode::dgRedBackNode | ( | dgRedBackNode *const | parent | ) |

inline

## Member Function Documentation

## § GetColor()

dgRedBackNode::REDBLACK_COLOR dgRedBackNode::GetColor | ( |  | ) | const

inline

## § GetLeft()

dgRedBackNode* dgRedBackNode::GetLeft | ( |  | ) | const

## § GetParent()

dgRedBackNode* dgRedBackNode::GetParent | ( |  | ) | const

## § GetRight()

dgRedBackNode* dgRedBackNode::GetRight | ( |  | ) | const

## § Initdata()

void dgRedBackNode::Initdata | ( | dgRedBackNode *const | parent | ) |

inline

## § InsertFixup()

void dgRedBackNode::InsertFixup | ( | dgRedBackNode **const | head | ) |

## § IsInTree()

dgUnsigned32 dgRedBackNode::IsInTree | ( |  | ) | const

inline

## § Maximum()

dgRedBackNode * dgRedBackNode::Maximum | ( |  | ) | const

## § Minimum()

dgRedBackNode * dgRedBackNode::Minimum | ( |  | ) | const

## § Next()

dgRedBackNode * dgRedBackNode::Next | ( |  | ) | const

## § Prev()

dgRedBackNode * dgRedBackNode::Prev | ( |  | ) | const

## § Remove()

void dgRedBackNode::Remove | ( | dgRedBackNode **const | head | ) |

## § RemoveAll()

void dgRedBackNode::RemoveAll | ( |  | ) |

## § RemoveAllLow()

void dgRedBackNode::RemoveAllLow | ( |  | ) |

## § RemoveFixup()

void dgRedBackNode::RemoveFixup | ( | dgRedBackNode *const | node,
|  | dgRedBackNode **const | head
| ) |  |

## § RotateLeft()

void dgRedBackNode::RotateLeft | ( | dgRedBackNode **const | head | ) |

## § RotateRight()

void dgRedBackNode::RotateRight | ( | dgRedBackNode **const | head | ) |

## § SetColor()

void dgRedBackNode::SetColor | ( | dgRedBackNode::REDBLACK_COLOR | color | ) |

inline

## § SetInTreeFlag()

void dgRedBackNode::SetInTreeFlag | ( | dgUnsigned32 | flag | ) |

inline

## § Unlink()

void dgRedBackNode::Unlink | ( | dgRedBackNode **const | head | ) |

## Member Data Documentation

## § m_color

dgUnsigned32 dgRedBackNode::m_color

## § m_inTree

dgUnsigned32 dgRedBackNode::m_inTree

## § m_left

dgRedBackNode* dgRedBackNode::m_left

## § m_parent

dgRedBackNode* dgRedBackNode::m_parent

## § m_right

dgRedBackNode* dgRedBackNode::m_right

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgTree.h
- dynamics.mod/NewtonDynamics/source/core/dgTree.cpp